*{
    box-sizing: border-box;
    margin:0;
    padding: 0;
}
.container{
    background-color: rgb(96,20,142);
    width: 100vw;
    height:100vh;
    padding:1.5rem;
}
.Main{
    
    width:auto;
    min-width: 30vw;
    min-height:30vh;
    max-width: 40rem;
    height:auto;
    margin:2rem auto 2rem;
    border-radius: 20px;
    display: flex;
    flex-direction: column;   
    align-items: center;
    background-color: rgba(221, 214, 255, 0.637);
    box-shadow: 2px 1px 10px 1px  black;
}

.top{
    display: flex;
    justify-content: center;
    align-items:center;
}
h1{
    font-size: 4rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: rgb(84, 68, 119);
    
}

.image{
    width:3rem;
    height: 3rem;
    margin-left:0.8rem;
}
.bottom{
    margin-top: 1rem;
    display:flex;
    align-items: center;
    justify-content: space-between;
    padding-left:20px;
}
input{
    flex:1;
    border: none;
    /* outline: none; */
    background: transparent;
    padding:1rem;
    font-size: 1rem;
    border-radius: 10px;
    outline:1px solid black
}
::placeholder{
    color:black;
}

#addbtn{
    border:none;
    outline: none;
    border-radius: 1rem;
    padding:1rem 3rem;
    font-size: 1rem;
    font-weight: 600;
    cursor: pointer;
    background-color: rgb(96,20,142);
    color:white;
}
#addbtn:hover{
    opacity: 0.8;
}

.task-item{
    display: flex;
    align-items: center;
    list-style:none;
    margin:2rem;
    min-height: 4rem;
    width:20rem;
    height: auto;
    max-width: 100%;
    padding:10px 40px 8px 50px;
    border:1px solid black;
    border-radius:1rem;
    user-select: none;
    cursor: pointer;
    position: relative;
    word-wrap: break-word;
    text-align: center;
}

 .li-para{
    width:75%;
    height:auto ;
    cursor: text;
}

.task-item::before{
    content: '';
    position: absolute;
    height: 30px;
    width: 30px;
    border-radius:50%;
    background-image: url('./images/unchecked.png');
    background-size: cover;
    background-position: center;
    left:10px;
}


.task-item.checked{
    color:#555;
    text-decoration: line-through;
}
.task-item.checked::before{
    background-image: url('./images/checked.png');
    margin:auto;
    text-align: center;
    
}
ul li span{
     position: absolute;
     right:1rem;
     font-size:1.2rem;
     top: 10px;
     width: 1rem;
     height:auto; 
     text-align: center;
     margin:auto;
     width:5%;
    
}

.edit-icon{
    position: absolute;
    right:3rem;
    font-size:0.8rem;
    top: 11px;
    text-align: center;
    margin: auto;
    width:2.6rem;
    cursor: pointer;
    font-weight: 600;
    background-color: rgba(221, 214, 255, 0.637);
    color:black;
    border-radius: 20%;
}

.edit-icon:hover{
    opacity:0.8
} 

.status{
    display: flex;
    color:black;
    justify-content: space-between;
    align-items: center;
    margin-top: 8rem;
    margin-bottom: 1rem;
    width: 32vw;
    box-sizing: border-box;
    display: none;
}
span p{
    font-weight: 700;
    font-size: 1rem;
    text-align: center;
}

.button{
    background-color: rgb(96,20,142);
    color:white;
    border-radius: 20px;
    width:7rem;
    height: 3rem;
    font-weight: 700;
    font-size: 1rem;
    cursor: pointer;
    text-align: center;
    border: none;
}
.button:hover{
    opacity:0.8
}